---
title: "Resolution 016: Budget 008: Backup-bot-two Documentation and Specification - 27-01-2024"
---

- Deadline: 10th February 2024
- Size: Large

### Summary

> (Co-written by p4u1 & d1)

The new backup-bot-two implementation is nearly finished. The only remaining step is to implement restore functionality. In a recently meeting with Moritz, p4u1 & d1, we discussed how to design and implement it. The mintues are [here](https://pad.riseup.net/p/UEC2JUPGb6tmRCZ7RX9X-keep).

In this meeting, we realised that there is already a lot of implicit, undocumented knowledge about how backup-bot-two & abra work together. How the restore interface will work is more or less designed in the meeting, with general agreement.

In order to communicate that design, we feel we need to have clear documentation and a specification on how things work. This will make sure we have consensus before commiting more budget to implementing the final step. It will also help operators pick up, use & extend backup-bot-two in the future.

In this resolution, we want to propose to write the initial documentation and specification for the new [backup-bot-two](https://git.coopcloud.tech/coop-cloud/backup-bot-two/).

The existing documentation for the old backupbot should be taken into account wherever possible.

### Details (Budget 008)

Documentation should be for:

- Operators using the backup-bot-two
- Maintainers of recipes

The documentation should have:

- Examples on using Abra with the backupbot
- Examples of recipe configurations
- Detailed explanation of features and their limitations

The Specification should include:

- Detailed specification on how annotations work
- With the specification it should be possible to implement backup and restore
  without looking at the backupbot-two code

---

- Budget amount: 200 EUR (10 hrs * 20 EUR/hr)
- Who will implement this: p4u1
- When will the money be spent: Before the end of February
- What is the money for: Writing documentation and specification for backup-bot-two
