---
title: Ford foundation
---

# Ford foundation

> Status: **pending**

* [Previous material](https://notes.bonfire.cafe/nlnet-bonfire-coopcloud-hosting)
* [Application](https://fordfoundation.forms.fm/2023-digital-infrastructure-insights-fund-rfp/forms/9724)

## Is this concept note primarily focused on research or implementation?

- Implementation

## What is your research question? (30 words)

How can an open co-operative ecosystem foster a sustainable, resilient
infrastructure for FLOSS (Free/Libre Open Source software) development,
hosting, and tech support, while enhancing data ownnership, transparency and
co-operation?

## Why is this question important to answer and how does it relate to our fund? (500 words)

This is a challenge of paramount importance as it aims to design and test a
model for a sustainable, resilient open co-operative ecosystem amidst a digital
landscape overshadowed by large centralized profit-driven entities.

The hegemony of a few colossal platforms has led to myriad challenges
including, but not limited to, data privacy infringements, misinformation
dissemination, and a significant digital divide. Such challenges thwart the
internet's potential to act as a public commons and hinder the growth of a
democratic, open, and inclusive digital infrastructure.

The envisioned open co-operative ecosystem is a step towards remedying the
prevalent issues of centralization and lack of inclusivity in the digital
domain. It proposes a holistic approach encompassing technical innovation,
co-operative economics, and community-centric governance - where software,
infrastructure and communities are not isolated entities, but are part of a
common ecosystem.

This aligns profoundly with this fund's objective of exploring and remedying
the issues of under-maintenance and occasional undermining of FLOSS. The
proposed self-sustaining economic model is aimed at ensuring the longevity and
resilience of both the open co-operative ecosystem and all the actors involved:
FLOSS developers and designers, sysadmins and hosting providers, and all the
other figures that struggle to reach sustainability by working in and for the
FLOSS sector.

Furthermore, the proposed project is not merely a technical endeavor but a
multi-dimensional initiative aimed at fostering a digital infrastructure that
is equitable, sustainable, secure, and entrenched in the public interest.

Our proposed integration aims to simplify the setup, hosting and operating of
FLOSS software, through an open dashboard that automates the whole software
life cycle. This dashboard will act as a gateway to an ecosystem of developers
and hosting providers, which will work together to provide users and
communities with:

- Openness: Designers, developers, and sysadmins can join the ecosystem to
  provide services and receive compensation;

- Mutualism: Projects and communities that meet specific criteria may exchange
  services in-kind, or benefit from special rates;

- Flexibility: From a personal instance to a large community, the open
  ecosystem will guide the user based on their specific needs and budget;

- Inclusivity: Users and communities can collectively shape the ecosystem's
  roadmaps, by co-designing and funding desired features.

From the other side, the dashboard will also operate as an economic network to
track each contribution and distribute the available funds according to value
equation formulas as democratically defined by the ecosystem stakeholders.

## What research methods will you use to answer this question? (Please describe the methodologies and scope of your proposed research (500 words))

To comprehensively address the research question, a blend of interdisciplinary
methods will be employed to ensure a thorough analysis, development, and
evaluation of the proposed integrated Bonfire and Co-op Cloud ecosystem. The
methodologies are outlined as follows:

- Literature Review:

An extensive literature review will be conducted to gather insights on existing
models of open co-operative ecosystems, challenges and best practices in FLOSS
development, hosting, and funding, and the impact of decentralized digital
infrastructures on promoting inclusivity and co-operation.

- Surveys & Interviews:

By using mixed methods we aim to gather insights from relevant parties such as
instance administrators, app maintainers, and FOSS contributors.

- User-Centered Design (UCD):

Utilizing UCD principles, we will engage potential users and stakeholders in
the design and development process. This will include conducting surveys,
interviews, and usability testing to gather user requirements, preferences, and
feedback on prototype iterations.

- Technical Development and Prototyping:

The core of the research involves the technical development and prototyping of
the integrated dashboard that facilitates the setup, hosting, and operation of
custom Bonfire instances (the first FOSS application to be integrated in the
open dashboard). Agile development methodologies, including iterative design
and development cycles, will be employed to ensure a user-centric approach and
to allow for continuous feedback and improvement.

- Case Studies:

Detailed case studies of relevant initiatives will be conducted to glean
insights into best practices, challenges, and success factors. Comparative
analysis will help in understanding the potential impact and sustainability of
the proposed ecosystem. We already have communities willing to participate in
these case studies, that span from citizen science projects
(https://niboe.info), hacker spaces (https://www.facebook.com/Zer081),
bioregional communities (driftless area), and more...

- Economic Modeling:

Economic modeling will be employed to devise a transparent value equation for
revenue distribution among stakeholders. This will also involve exploring
sustainable funding models that ensure the longevity and resilience of the
proposed ecosystem. We will make use of the ValueFlows protocol to test several
value equations: https://www.valueflo.ws/algorithms/equations/

- Policy and Legal Analysis:

An examination of the policy and legal frameworks that could impact, or be
impacted by, the proposed ecosystem will be conducted. This includes analyzing
data privacy laws, open-source licensing, and cooperative economic regulations.

- Dissemination and Feedback:

Sharing the findings and prototypes with the broader community through various
channels including conferences, blog posts, social media, and project websites
for feedback and further refinement.

## What data or other resources will you use to answer the question? (500 words)

- Domain Experts and Stakeholder Interviews:

Insights from domain experts in FLOSS development, digital co-operatives,
hosting solutions, and decentralized digital infrastructures. Interviews with
stakeholders including developers, hosting providers, and potential users of
the proposed ecosystem.

- Economic Models and Financial Data:

Economic models pertinent to revenue distribution, funding, and sustainability
of open cooperative ecosystems. Financial data of similar initiatives to
understand their economic sustainability and impact.

- Legal and Policy Documents:

Legal documents, open-source licenses, and policy frameworks relevant to data
privacy, digital rights, and co-operative economic structures.

- Technical Documentation:

Technical documentation of Bonfire, Co-op Cloud, and other open-source projects
pertinent to the research. Documentation on protocols, standards, and best
practices in FLOSS development, hosting, and support.

- Open Source Software Repositories:

Access to open-source software repositories to study existing solutions,
libraries, and frameworks that could be leveraged for the technical development
of the proposed ecosystem.

- Prototyping Tools and Development Platforms:

Utilization of prototyping tools and development platforms for designing,
developing, and testing the integrated dashboard and associated features.

## If applicable: What is the research finding that you are moving into practice? (500 words)

The findings we are acting upon highlight the pressing necessity for a digital
ecosystem that prioritizes sustainability, decentralization, and cooperation
while advancing open-source software development, hosting, support, and
funding.

Existing research and case studies have highlighted the challenges posed by the
large centralized and profit-driven digital platforms, which often compromise
data privacy, inclusivity, and the democratic ethos of the digital realm.

Noteworthy findings from prior researches that underpin our project include:

- Co-operative Ecosystems:

Research on co-operative models -- notably "Proposal for a Cooperative Model
for Digital Infrastructure and Recommendations to Adopt It" by Tierra Comun in
2022 -- has revealed the potential for fostering sustainable and equitable
digital ecosystems. Co-operative structures, grounded in principles of
mutualism and collective governance, have shown promise in promoting economic
sustainability and community-centric development.

- Need for Decentralization:

Studies have underscored the benefits of decentralized digital infrastructures
in promoting data sovereignty, reducing censorship, and fostering innovation
through open standards and interoperability as well as ("Accounting and Billing
for Federated Cloud Infrastructures", Elmroth et al., 2009 Eighth International
Conference on Grid and Cooperative Computing) the specific challenges in
tracking and distributing financial costs across these decentralized networks.

- Open Source as a Public Good:

The literature has extensively documented the value of FLOSS as a public good,
which can drive down costs, promote technical innovation, and foster a shared
digital commons.

- Challenges in FLOSS Sustainability:

Several reports (e.g. "Roads and Bridges: The Unseen Labor Behind Our Digital
Infrastructure", Nadia Eghbal, "The labor of maintaining and scaling free and
open-source software projects", Geiger et al, Proceedings of the ACM on
human-computer interaction 5.CSCW1, and "The coproduction of open source
software by volunteers and big tech firms", O'Neil et al., News and Media
Research Centre, 2021) have highlighted the challenges in sustaining open
source projects, often due to lack of funding, technical support, and a viable
economic model.

- User-Centric Design:

The importance of user-centric design in the development of digital platforms
to ensure accessibility, usability, and adoption has been well-documented.

- Community Engagement:

Engaging communities in design, development, and governance of platforms has
been found to promote inclusivity, trust, and long-term sustainability.

Moving these findings into practice, our proposal outlines a collaborative
endeavor between Bonfire and Co-op Cloud to develop an integrated open
dashboard that automates the setup, hosting, and operation of custom Bonfire
instances.

Practical implementations include:

- Developing a technical infrastructure that facilitates decentralized hosting
  and operation of digital platforms, reducing reliance on centralized
  entities.

- Establishing a co-operative economic model to ensure the financial
  sustainability of the ecosystem, based on a transparent value equation for
  revenue distribution among stakeholders.

- Engaging the community and potential users in the design and development
  process to ensure the ecosystem meets their needs and preferences.

- Fostering a collaborative environment where developers, hosting providers,
  and users can mutually benefit from the shared digital infrastructure.

- Implementing user-centric design principles to ensure the accessibility and
  usability of the open dashboard, thus promoting broader adoption.

- Disseminating the developed prototypes and findings to the broader community
  for feedback, further refinement, and adoption.

## What is the specific context / project / community that will be targeted with your research or its implementation - and why is it needed? (600 words)

RESEARCH (Phase 1):

A study on "Understanding the Open Infrastructure Ecosystem, with a Focus on
Federation," will set about comprehensively exploring practices and challenges
within the Federated ("Fediverse") and FOSS communities, It will investigate
co-design and development, documentation and onboarding, hosting,
configuration, maintenance, tech support, continuous integration, deployment
and upgrades, backups, community feedback and bug reporting, and governance.

This vital research addresses the centralization and monopolization of
platforms, barriers to entry, sustainability challenges, community empowerment,
knowledge sharing, and resilience and longevity of FOSS projects, to provide a
holistic understanding of the open infrastructure ecosystem.

We hope to identify common challenges faced by these communities, exploring
motivations for contributing or maintaining infrastructure, uncovering best
practices and potential solutions.

IMPLEMENTATION (Phase 2):

This above study will inform the development of a federated and cooperative
hosting ecosystem, helping to better align with the specific needs of instance
administrators, app maintainers and FOSS contributors. By initially focusing on
federated platforms and progresstively expanding to the broader ecosystem of
open infrastructure, the ecosystem can foster collaboration, enhance community
support, and contribute to the overall growth and sustainability of the
Fediverse and FOSS communities.

The implementation will start with Co-op Cloud, a software stack that
simplifies the hosting of FOSS applications, and Bonfire, a federated social
networking toolkit. These projects represent a microcosm of the broader open
source and cooperative ecosystem, and can serve as the initial building blocks
for user-friendly solutions and transparent, cooperative economic models,
ensuring accessibility and autonomy for all users.

This phase serves as a pragmatic step towards addressing identified needs, like
reducing technical barriers, fostering sustainability, and empowering
communities. It embodies a proactive shift towards a more decentralized,
cooperative, and equitable digital landscape, in response to the pressing
challenges and unmet needs within the FLOSS community and the broader digital
realm, and actively combats the issues of centralization, data control, and
sustainable revenue models, benefiting open source projects and communities
alike.

The integration of Bonfire and Co-op Cloud via a user-friendly dashboard will
significantly lower the technical barrier to entry, allowing a broader spectrum
of users to set up, host, and operate their own instances. Engaging their
communities, as well as the broader FLOSS community, in the design,
development, and governance of the proposed ecosystem to ensure it meets the
diverse needs and preferences of its stakeholders.

We'll also craft transparent value equations and economic models to foster a
sustainable, co-operative economic ecosystem where revenues are fairly
distributed among developers, hosting providers, and others.

DISSEMINATION (Phase 3):

Research findings will be compiled into a comprehensive report, offering
valuable insights to guide the evolution of the hosting ecosystem and
contribute to the knowledge base of open infrastructure practices and
challenges. This knowledge will be shared with the FOSS community and beyond,
promoting wider dialogue, feedback, and collaboration. This approach aligns
with the need for alternative economic models, transparency, and equitable
value distribution, and addresses the challenges of the current digital
landscape by advocating for decentralized, cooperative, and equitable
alternatives.

## Please summarize your proposed work and the key activities that you will undertake (500 words)

- Resarch study:

A study "Understanding the Open Infrastructure Ecosystem, with a Focus on
Federation" will be conducted as detailed above.

- Federation design & development:

We'll write an ecosystem federation proposal and resources to help others build
their own. A "start your federation cookbook" with analysis from a technical,
economic, legal, and governance perspective.

- Pilots:

We will work with several pilot users and organisations to provide feedback and
test our designs and solutions at every stage of the process. The various
pilots will help co-designing and test the open dashboard, by setupping custom
bonfire instances

- Capacity building and Architecture of Participation:

The capacity building activity will discover together with pilots and
participants how to draft a good governance and economic model to make all of
this work nicely.

- Protocol and platform integration:

Defining libre, reusable methods and systems for automatic DNS (across various
domain name registrars / DNS hosts) and server hosting provisioning (using e.g.
https://capsul.org), automated software installation and updates (using Co-op
Cloud's command-line tool Abra: https://docs.coopcloud.tech/abra/), backup and
data migrations (e.g. using http://tahoe-lafs.org/), user resource usage
measurement, payment integration, and dashboard UIs.

- Dissemination and communication:

This activity will focus on communicating with the world about our work, and
disseminate project outcomes and results through various channels, including
articles, conferences, social media, and project websites.

All the code produced will be documented, and publicly available with an open
source license. We will continue our outreach through our respective activity
on federated social media platforms including Bonfire itself, Mastodon,
Scuttlebutt, and Matrix.

## What partnerships and programs are critical to this work and how do you envision outreach activities? (400 words)

The proposed integration of Bonfire and Co-op Cloud is significantly enriched
by forming strategic partnerships with key entities in the open-source and
cooperative digital ecosystem. Here's how these partnerships are critical and
the envisioned outreach activities:

- Co-op Cloud Federation: partnership significance: Co-op Cloud Federation is
  crucial for implementing the hosting and management of FOSS apps. This
  partnership brings in vital technical expertise, hosting solutions, and the
  potential for scaling the initiative across a federated network of service
  providers. Outreach: Promoting the integrated solution through Co-op Cloud's
  federated network, collaborating on joint marketing campaigns, and leveraging
  the federation's channels to spread awareness and drive adoption.

- Bonfire Networks: partnership significance: Bonfire Networks provides the
  foundational social networking toolkit that will be integrated with Co-op
  Cloud. This partnership ensures technical synergy and collaborative
  development, fostering an environment conducive to innovation and
  user-centric design. Outreach: Engaging the existing community around Bonfire
  Networks in workshops, webinars, and forums to introduce the integrated
  solution, gather feedback, and foster active participation in its development
  and utilization.

- Servers Co-op: partnership Significance: Servers.coop can play a key role as
  a hosting provider within the ecosystem, offering reliable and cooperative
  hosting solutions to users. Their involvement can help establish a network of
  trustworthy hosting providers committed to cooperative principles. Outreach:
  Joint campaigns promoting the benefits of cooperative hosting, showcasing
  success stories, and educating communities on the advantages of
  decentralized, cooperative digital infrastructures.

- Co-operative Computer: partnership Significance: Cooperative Computer can
  provide valuable insights, technical expertise, and support in promoting
  cooperative digital practices. This partnership can foster a shared learning
  environment and potentially lead to collaborative projects enhancing the
  integrated solution and actively participating in the open coop ecosystem.
  Outreach: Hosting joint educational events, technical workshops, and online
  discussions to explore cooperative computing models and their application in
  the proposed ecosystem.

## What is your vision of success and what impact might it have? (400 words)

The vision of success for this initiative revolves around the establishment of
a self-sustaining, decentralized, and co-operative digital ecosystem that
significantly enhances the accessibility, usability, and economic
sustainability of FLOSS for all stakeholders.

The following are the key indicators of success and the potential impact of
this initiative:

- Ease of Access and Usability:

A successful implementation of the integrated dashboard that simplifies the
setup, hosting, and management of Bonfire instances, enabling a broader
spectrum of users, including those with limited technical skills, to leverage
FLOSS solutions effortlessly and in a trusted ecosystem.

- Economic Sustainability:

Establishment of a transparent and equitable economic model that ensures fair
revenue distribution among developers, hosting providers, and other
stakeholders, fostering financial sustainability and continued growth of the
Bonfire and Co-op Cloud ecosystems.

- Community Engagement and Governance:

Active engagement of the community in the decision-making processes,
development, and governance of the ecosystem, reflecting a vibrant,
participatory, and democratic digital co-operative environment.

- Increased Adoption and Experimentation:

A noticeable increase in the adoption of Bonfire and Co-op Cloud solutions,
alongside a proliferation of innovative projects and experiments emanating from
the co-operative ecosystem, contributing to a richer and more diverse digital
commons.

- Knowledge Sharing and Collaboration:

A thriving culture of knowledge sharing, collaborative development, and mutual
support within the ecosystem, facilitating continuous learning, innovation, and
problem-solving.

- Resilience and Longevity:

Demonstrated resilience of the co-operative digital ecosystem to evolving
economic, technical, and social challenges, ensuring its longevity and ongoing
relevance.

- Dissemination and Replication:

Effective dissemination of the insights, learnings, and models developed
through this initiative to the broader FLOSS community, encouraging replication
and adaptation of the co-operative model in other contexts.

In a broader sense, the success of this initiative could significantly
contribute to the reimagining and reshaping of the digital landscape in
alignment with the principles of openness, co-operation, and community-centric
development, echoing the core values and aspirations of the FLOSS community.

## Tell us more about the project team and collaborators (500 words)

The project is a multi-team effort between different stakeholders in the FLOSS
ecosystem. The project will be developed by a collaboration between two
projects: Bonfire and Co-op Cloud.

* Bonfire (https://bonfirenetworks.org) is an extensible open source federated
  social networking toolkit, that empowers communities easily configure their
  spaces from the ground up, according to a variety of needs and visions.
  Bonfire envisions a web of independent but interconnected social networks
  (using a wide definition, since we consider the social compoments of
  activities in the economic, educational, and political spheres as well) -
  able to speak and transfer information among each other, according to their
  own boundaries and preferences.

* Co-op Cloud (https://coopcloud.tech/) is federation of democratic collectives
  (including worker-owned co-operatives, an international radical art
  collective, a labor union, and representatives from FLOSS software projects).
  The federation is centred around a software stack that aims to make hosting
  libre software applications simpler, aimed at organisations wanting to manage
  their own infrastracture, as well as small service providers such as tech
  co-operatives who are looking to standardise around an open, transparent and
  scalable infrastructure -- but is also developing as community of practice
  around these themes, beyond the specific technology stack.

## In which cost tier do you expect this work to sit?

- [ ] Between 50 and 75
- [ ] Between 75 and 100
- [x] Between 100 and 125

## How many months do you expect this work to take?

- 12 months
- more than 12 months (exception goes up to 18 months for part-time projects)

## Extras

### Research links

* https://apo.org.au/node/312607 - O’Neil, Mathieu, et al. The coproduction of open source software by volunteers and big tech firms. News and Media Research Centre, 2021.

* https://dl.acm.org/doi/10.1145/3449249 - Geiger, R. Stuart, Dorothy Howard, and Lilly Irani. "The labor of maintaining and scaling free and open-source software projects." Proceedings of the ACM on human-computer interaction 5.CSCW1 (2021): 1-28.

* https://www.fordfoundation.org/wp-content/uploads/2020/12/regional-foss-communities_final-report_ahossain-1.pdf - Hossain, Anushah. "Regional Open Source Software Communities: The View From Dhaka, Bangladesh." (2021).

* https://digitalinfrastructure.fund/projects/cooperative-model-for-digital-infrastructure/ - Tierra Comun, Mexico, 2022

* https://ieeexplore.ieee.org/abstract/document/5279594 - E. Elmroth, F. G. Marquez, D. Henriksson and D. P. Ferrera, "Accounting and Billing for Federated Cloud Infrastructures," 2009 Eighth International Conference on Grid and Cooperative Computing, Lanzhou, China, 2009

* https://ieeexplore.ieee.org/abstract/document/7523331 - K. Chard and K. Bubendorfer, "Co-Operative Resource Allocation: Building an Open Cloud Market Using Shared Infrastructure," in IEEE Transactions on Cloud Computing, 2019

* https://ieeexplore.ieee.org/abstract/document/6253530 - F. Paraiso, N. Haderer, P. Merle, R. Rouvoy and L. Seinturier, "A Federated Multi-cloud PaaS Infrastructure," 2012 IEEE Fifth International Conference on Cloud Computing, Honolulu, HI, USA, 2012

* https://www.proquest.com/openview/d0bb1812450db201b4b67c84eca8cc50/1?pq-origsite=gscholar&cbl=18750&diss=y - Amini, Lisa D. "Models and algorithms for resource management in distributed computing cooperatives," Columbia University, 2004

* https://hal.science/hal-03177060/document - Sébastien Broca, Laura Aufrère, Philippe Eynaud, Cynthia Srnec et Corinne Vercher-Chaptal, "Framasoft : de la plateforme à l’archipel", 2021
