---
title: Private funder
---

# Private funder

> Status: **accepted**

## Project Title

Co-op Cloud Federation & abra critical bug fixes

## Explain the project and its expected outcome(s).

We are requesting support to tackle two important tasks in Co-op Cloud, to improve the project’s long-term sustainability:

* Formalising, and publicly launching the “Co-op Cloud Federation”,
* Fixing critical usability issues in abra which are hindering further adoption.

### The Federation
In April 2022, we announced our proposal for how the Co-op Cloud federation could function:

* [Public announcement blogpost](https://coopcloud.tech/blog/federation-proposal/)
* [Actual proposal text](https://pad.autonomic.zone/s/MLafJE2jC#)

We’ve gathered feedback from community members and are ready to take the proposal forward. This period of feedback gathering went beyond our [ECF Culture of Solidarity funding timeline](https://culturalfoundation.eu/stories/culture-of-solidarity-fund/), so we are happy to receive support to finalise it now.

This will mean formalising our decision-making structure, clarifying membership in the federation and helping lay the foundations for economic self-sufficiency through agreed membership and user group fees.

We propose a series of meetings with active community members to achieve this.

### Critical abra bug fixes
We have identified a few bugs in theabra commandline tool that, once sorted, will greatly improve adoption of Co-op Cloud. This support will help us fix these bugs which takes us one step closer to a stable 1.0 release.

* Making  abra resilient to outages in git.coopcloud.tech and the machine-readable `recipes.coopcloud.tech/recipes.json` (issue `#292`)

* Supporting language translations for the Co-op Cloud website and documentation (issue `coop-cloud/organising#74`)

* Bringing per-recipe documentation up-to-date with the latest abra syntax (issue `coop-cloud/organising#356`)

* Solidifying the machine-readable `recipes.coopcloud.tech/recipes.json` deployment (issue `coop-cloud/recipes-catalogue-json#3`)

* Making some usability tweaks to abra’s interface (issue `coop-cloud/organising#335` and issue `coop-cloud/organising#308)`

* Stabilising how abra interacts with SSH (issue `coop-cloud/organising#345`)

## Requested Amount

* 9,240 GBP

## Explain what the requested budget will be used for?

* Participation of all members at a series of meetings to discuss the proposal
    * 60 GBP * 1 member from 8 member collectives * 6 hrs (3 meetings, 2 hr a meet) = 2880GBP

* Paying wages for 5 Autonomic members to collect feedback, amend the proposal & publish it
    * 60 GBP * 5 members * 6 hrs = 1800GBP (collective meets)
    * 60 GBP * 5 members * 4 hrs  = 1200GBP (internal meets)
    * 60 GBP * 1 member * 5 hrs = 300GBP (finance admin)

* Paying wages for 3 external contributors helping in the process (bug fix, writing, etc)
    * 60 GBP * 3 members * 5 hrs = 900GBP

* Implementing the proposal: 3 months of admin time until which point we have enough members to support ongoing admin costs
    * 60 GBP * 1 member * 2 hrs * 3 months = 360 GBP

* abra critical usability fixes
    * 60 GBP * 2 members * 15 hrs = 1800 GBP

## What are significant challenges you expect to face?

Designing and settling on a format for the federation will be our main challenge. We expect that working together within a diversity of co-operatives and group members will present a spectrum of opinions on how the federation ought to function. Finding common ground amongst ourselves may pose a challenge. Finding a sufficient number of members for a functioning federation may be difficult.

While we all have a lot of experience with group decision-making through our involvement in Autonomic and other multi-stakeholder co-operatives, it could be a challenge to settle on a decision making system.

# Describe the ecosystem of the project, and how you will engage with relevant actors and promote the outcomes?

Several collectives are using Co-op Cloud as their preferred hosting method for example [Bonfire](https://bonfirenetworks.org/) and [Local-IT](https://local-it.org/) (see "Co-op Cloud “The Organisation”" on [The Co-op Cloud Public Beta](https://coopcloud.tech/blog/beta-release/) for the full list of participants).

We have over 500 followers on [Mastodon](https://social.coop/@coopcloud/), but our primary communication and recruitment relies on word of mouth, and people inviting each other to our Matrix channel. The community members have already [written](https://cgalo.dev/pages/from-coop-cloud-to-plain-docker-swarm/) [articles](https://gnulinux.ch/selfhosting-mit-co-op-cloud-und-abra) about Co-op Cloud and we expect this to happen again.
