---
title: User-Operated Internet Fund
---

# User-Operated Internet Fund

> Status: **rejected** ([Link to open call](https://nlnet.nl/useroperated/))

## Questions

> Please be short and to the point in your answers; focus primarily on the what and how, not so much on the why. Add longer descriptions as attachments (see below). If English isn't your first language, don't worry - our reviewers don't care about spelling errors, only about great ideas. We apologise for the inconvenience of having to submit in English. On the up side, you can be as technical as you need to be (but you don't have to). Do stay concrete. Use plain text in your reply only, if you need any HTML to make your point please include this as attachment.

### 1. Abstract: Can you explain the whole project and its expected outcome(s). (1200 chars)

We're seeking financial support to build a web interface for [The Co-operative Cloud](https://coopcloud.tech), an open platform for public interest infrastructure. This will allow us to accelerate our plans to bring Co-op Cloud to end users, expanding the model from community hosting to self-hosting.

The command-line version of Co-op Cloud is already helping empower democratic collectives to run their own applications securely and reliably -- from file-sharing to broadcasting to real-time chat. We released the CLI in alpha form in March 2021, and we're currently working towards a beta release in November 2022.

Our current plan is to develop a web interface within the next 3-5 years, using income from providing managed Co-op Cloud hosting, to remove the requirement to be familiar with a shell prompt, and provide an open version of the "one click apps" available with some corporate providers.

### 2. Have you been involved with projects or organisations relevant to this project before? And if so, can you tell us a bit about your contributions? (??)

We have participated in the [Yunohost](https://yunohost.org) and [Librehosters](https://libreho.st) projects, which aim to address some of the same challenges as Co-op Cloud, and our experiences with those organisations informed our design. More broadly than those very similar projects, we have also contributed to libre software applications like Discourse, Drupal and Peertube, and we're helping with community stewardship of the Mailu libre email project.

### 3. Requested Amount (5000 to 50,000 EUR)

46,000

### 3A. Explain what the requested budget will be used for?

- Brand design, UI research & design: 10%
- UX testing: 5%
- Software architecture and implementation: 40%
- Project management: 10%
- Community engagement & outreach: 5%
- Security audit & bug bounties: 20%
- Language translations: 10%

### 3B. Does the project have other funding sources, both past and present?

We are currently receiving funding from the European Culture of Solidarity Foundation under the "Infodemic" call, to build the beta version of the Co-op Cloud platform, €31,000 in total from July 2021 - November 2022.

Beyond our grant funding, and support in terms of time and technical resources from Autonomic Co-operative, Co-op Cloud is also supported by 11 co-funding partner organisations who are now running some or all of their technology infrastructure using the platform: [ruangrupa](https://ruangrupa.id) -- curators of the upcoming ["documenta fifteen" event](https://www.documenta.de/en/documenta-fifteen/#) -- [WASHNote](https://washnote.com), [Social Media Analysis Toolkit (SMAT)](https://www.smat-app.com), [Neuronic Games](https://www.neuronicgames.com), [Third Sector Accountancy](https://www.thirdsectoraccountancy.coop), [Biobulkbende](https://biobulkbende.org), [Anarchy Rules](https://anarchyrules.info), [Fashion Revolution](https://fashionrevolution.org), the [Industrial Workers of the World](https://iww.org.uk), [Shaping Our Lives](https://www.shapingourlives.org.uk/) and [United Tech and Allied Workers](https://utaw.tech).

### 4. Compare your own project with existing or historical efforts. (eg what is new, more thorough, or otherwise different)

We maintain an ongoing analysis of Co-op Cloud compared to other options in the [Co-op Cloud documentation](https://docs.coopcloud.tech/faq/#what-about-alternative).

Overall, Co-op Cloud has architectural and organisational advantages over existing libre options like Yunohost and [Caprover](https://caprover.com), and our open governance and libre licencing make Co-op Cloud a better long-term, pro-social choice than proprietary platforms like [Cloudron](https://cloudron.io). Versus options like [Ansible](https://ansible.com) or [Kubernetes](https://kubernetes.io), Co-op Cloud aims to be usable by less-technical users, to reduce their reliance on third parties to manage their data and tools.

### 5. What are significant technical challenges you expect to solve during the project, if any?

The main challenge that we aim to overcome in building this web application is making some of the complex concepts around self-hosting accessibile to non-technical users, simplifying and automating DNS, backups, application updates, and updates of the Co-op Cloud web application itself.

A key secondary technical challenge will be ensuring up-to-date, high-quality translations, which we plan to achieve by closely integrating Weblate with our code and documentation management systems.

Another goal is to ensure the web application is resource-efficient, while remaining delightful to use, to maximise the range of hardware that it can be used on.

Lastly, we hope to continue the project of user education around the concept of data sovereignty, as well as provide the technical tools to help people migrate away from, and stay away from, big-tech surveillance.

In terms of technical risks in the project, we see:

- security (mitigated by an in-depth security review before launch, and the going bug bounty program)
- configuration management (mitigated by using the existing git-based configuration management system from Co-op Cloud's command-line interface)
- support (mitigated by continuing to grow the Co-op Cloud community, to maximise the opportunity for peer assistance)

### 6. Describe the ecosystem of the project, and how you will engage with relevant actors and promote the outcomes? (Eg which actors will you involve? Who should deploy or run your solution to make it a success?)

We plan to build on our existing, successful, outreach strategy throughout our networks. We will make use of:

.. forums such as [CoTech](https://community.coops.tech, 581 members) and [International Co-operative Alliance](https://patio.ica.coop, 250 members) to make the project visible for technology co-operatives. Estimated 861 technology co-operative members, representing over 100 different co-operatives.

.. the [CHATONS](https://chatons.org, 70 members) and [Librehosters](https://libreho.st, 21 members) networks to maximise our reach amongst democratic technology collectives based in Europe. Estimated 91 collectives.

.. Cyberia Computer Club, an international network with whom we've already collaborated on integrations between their software and Co-op Cloud. Approximately 260 people.

.. both [traditional](https://twitter.com/autonomiccoop, 220 followers) and [alternative social media](https://sunbeam.city/@autonomic, 119 followers) to reach open source developers and other wider comunity members. Estimated 339 followers.

.. our own [co-operative website](https://autonomic.zone), which is visited by a wide range of potential clients, partners, and members. Estimated 1,000 visitors / month.

.. our self-hosted Matrix channel for [Co-op Cloud](#coop-cloud:autonomic.zone). 44 members (and growing), including representatives of some international organisations.

.. our personal relationships with democratic technologists internationally, including in Pakistan, India, Brazil, Canada, Spain, the USA, and others. Estimated ~50 unique contacts.

Our goal would be to see at least 3 other democratic collectives, from anywhere within these networks, using Co-op Cloud by the time of the launch of the beta web application, and to see a further 20 people join our Matrix chat as individual users. We also hope to see at least one strategic alliance with an initiative like Freedombox, or Cyberia's Greenhouse, to integrate Co-op Cloud with other efforts to improve the self-hosting landscape.

### Attachments

Attachments: add any additional information about the project that may help us to gain more insight into the proposed effort, for instance a more detailed task description, a justification of costs or relevant endorsements. Attachments should only contain background information, please make sure that the proposal without attachments is self-contained and concise. Don't waste too much time on this. Really.

We have attached a budget document.
