---
title: The Co-op Cloud Federation Proposal
---

# The Co-op Cloud Federation Proposal

## Table of Contents

- [Goal](#Goal)
- [Overview](#Overview)
- [Process](#Process)
- [The Federation Proposal](#The-Federation-Proposal)
- [The Code of Co-operation Proposal](#The-Code-of-Co-operation-Proposal)

## Goal

This document is for the folks who are curious about what is means to "join the Co-op Cloud". You may already be lurking the Matrix channels, have deployed some apps with `abra` or support the project and want it to succeed :heart:

If this is the first time you're seeing the project, please do take a look at [coopcloud.tech](https://coopcloud.tech) & maybe [docs.coopcloud.tech](https://docs.coopcloud.tech) for more of a technical deep dive. You're also more than welcome to join the project!

## Overview

As part of the [beta bikemap goals](https://pad.autonomic.zone/s/C3uuqfSCk) we are aiming to formalise the idea of what ["Co-op Cloud 'The Organisation'"](https://pad.autonomic.zone/s/C3uuqfSCk#Co-op-Cloud-%E2%80%9CThe-Organisation%E2%80%9D) could mean concretely. Here is what we wrote in our bike map originally:

> One of the core goals of Co-op Cloud is to have the project run and managed by a diverse group of tech co-ops and collectives who are invested into building, maintaining and extending this digital configuraton commons. In order to open the project up we need to work on shared governance guidelines, codes of conduct, building community trust and working towards economic sustainability.

Now that we are reaching the moment where we can make the beta release, we are ready to publish this proposal for feedback, discussion & amendments.

## Process

In terms of feedback, we don't think we have to figure it all out now. What is more important is to lay the foundations for democratically working it out as we go on. Any red flags, major concerns & blockers to participation would be great to discover at this early stage. All comments, feedback & constructive criticism is welcome!

We are happy to receive this on any of the communication channels that we have. Please see our [contact docs](https://docs.coopcloud.tech/intro/contact/) for more. We will gather all feedback, discussions & follow up with people by the end of April 2022. We are aiming to publish this proposal by mid May 2022.

---

## The Federation Proposal

### Members

Co-op Cloud is a federation of co-operative hosters centred around the [Co-op Cloud project](https://coopcloud.tech). By Co-operative hosters, we mean worker- or user-owned co-operatives, or other democratic collectives who are operating in the public interest.

### Vision

A world where it's much easier to host technology services, creating local, community-run and participatory tech hosters, enabling more and more people to use services provided in the public interest, instead of ones operated by predatory advertising or planned obsolescence companies.

### Aims

1. Develop the Co-op Cloud technical app platform, including the [abra](https://docs.coopcloud.tech/abra/) command-line tool, the [application recipe catalogue](https://recipes.coopcloud.tech), and the [documentation](https://docs.coopcloud.tech).
1. Maintain a community of mutual support between co-operative hosters.
1. Facilitate communication between users and developers of libre software.
1. Create a support and knowledge sharing network to make setting up new co-operatives easier.

### Benefits

As a member of Co-op Cloud, you'll be able to:

- Participate in decision-making -- about the direction of Co-op Cloud, and how to distribute income from grants and donations.

- Get listed as a recommended service provider [on the Co-op Cloud website](https://coopcloud.tech).

- Receive announcements about opportunities for funded work on Co-op Cloud early, before they're sent out to the wider community.

- Use shared Co-op Cloud services, including code hosting ([git.coopcloud.tech](https://git.coopcloud.tech)), continuous deployment ([builds.coopcloud.tech](https://builds.coopcloud.tech)) and any future digital infrastructure we all decide to set up.

### Responsibilities

**Co-op Cloud members are expected to:**

- participate in all Large decisions,

- pay a financial contribution of £10/month or more via our [Open Collective](https://opencollective.com/coop-cloud),

- uphold the Code of Co-operation (see [below](#The-Code-of-Co-operation-Proposal))

### Decision-making

We propose to follow the decision making method of [Autonomic Co-op](https://autonomic.zone) which is explained in [this blog post](https://autonomic.zone/blog/how-we-make-decisions/) and adapted here for review.  Decisions can be split intro three categories: Small, Medium and Large.

#### Small - "Get on and do a thing"

- No one cares.

- Made by an individual within the federation.

- Could be in any area.

- Up to individual members to decide if they should just make the decision, or share it with the rest of the members to seek consensus.

#### Medium - "consensus pending objections"

- Potentially about shared tools, recipes, `abra`, etc.

- Doesn’t have an effect on the direction or operation of Co-op Cloud as a whole.

- Give a deadline: unless other members object or ask for more time by then, it goes ahead.

- The deadline must be reasonable (a week by default).

- If any member of Co-op Cloud thinks it’s a Large decision, achieve Maximum Consensus™ (see [below](#Large---Maximum-Consensus-™)).

#### Large - "Maximum Consensus ™"

- Important decisions affecting the operation, direction, working conditions and finances of Co-op Cloud.

- Consensus voting: addressing any concerns.

- Can be requested by any member of Co-op Cloud for any decision.

- Input from every Co-op Cloud member.

- Whoever proposes Large decisions is responsible for chasing up members for votes.

- Votes can be in favour, against, abstain (stand aside) or block.

- One member (individual or organisation) = 1 vote

#### Process

For Medium and Large decisions:

- Write up a proposal somewhere publicly accessible on the internet.

- Announce the decision in the [General chat (`#coopcloud:autonomic.zone`)](https://docs.coopcloud.tech/intro/contact/#matrix) on Matrix

- List the decision on the [decisions page](https://docs.coopcloud.tech/democracy/decisions) on our documentation

- Announce the result in the [General chat (`#coopcloud:autonomic.zone`)](https://docs.coopcloud.tech/intro/contact/#matrix) and record it on the [decisions page](https://docs.coopcloud.tech/democracy/decisions) of the documentation

#### Proposal format

(For Medium and Large decisions).

- What you want to change.

- Who it affects.

- Size (Medium / Large).

- Decision number

- Deadline.

- What chat channel you want discussion to happen in.

#### Example Proposal

**Large decision 001**: *Change the name of Co-op Cloud to Co-op Sun*

This decision affects everyone who uses and contributes to the project. I think the current name is too corporate.

The voting deadline for this decision is **January 1st 1970**.

Please discuss this proposal in `#coopcloud-comm-org:autonomic.zone`.

---

## The Code of Co-operation Proposal

> Huge thanks to the folks at [Varia](https://varia.zone/) & [LURK](https://lurk.org) who carefully prepared wonderful Code of Conduct documents which we have adapted for our needs (with permission). See the original documents [here](https://varia.zone/en/pages/code-of-conduct.html) and [there](https://lurk.org/TOS.txt).

Co-op Cloud is used by several communities coming from a variety of cultural, ethnic and professional backgrounds. We strive for to be welcoming to people of these various backgrounds and provide a non-toxic and harassment-free environment.

The Code of Conduct is a set of guidelines that help establish shared values and ensure that behaviour that may harm participants is avoided.

We acknowledge that we come from different backgrounds and all have certain biases and privileges. Therefore, this Code of Conduct cannot account for all the ways that people might feel excluded, unsafe or uncomfortable. We commit to open dialogues, and as such this Code of Conduct is never finished and should change whenever needed. We amend this document over time so it reflects the priorities and sensitivities of the community as it changes.

It is a collective responsibility for all of us to enact the behaviour described in this document.

## Expected behaviour

We expect each other to:

### Be considerate...

...of each other, the space we enter, the Co-op Cloud community and the practices that it houses.

### Be open and generous...

...while trying not to make assumptions about others. This can include assumptions about identity, knowledge, experiences or preferred pronouns. Be generous with our time and our abilities, when we are able to. Help others, but ask first. There are many ways to contribute to a collective practice, which may differ from our individual ways.

### Be respectful...

...of different viewpoints and experiences. Respect physical and emotional boundaries. Be respectful of each others' limited time and energy. Take each other and each other's practices seriously. Acknowledge that this might lead to disagreement. However, disagreement is no excuse for poor manners.

### Be responsible....

...for the promises we make, meaning that we follow up on our commitments. We take responsibility for the good things we do, but also for the bad ones. We listen to and act upon respectful feedback. We correct ourselves when necessary, keeping in mind that the impact of our words and actions on other people doesn't always match our intent.

### Be dedicated...

...which means not letting the group happen to us, but making the group together. We participate in the group with self-respect and don't exhaust ourselves. This might mean saying how we feel, setting boundaries, being clear about our expectations. Nobody is expected to be perfect in this community. Asking questions early avoids problems later. Those who are asked should be responsive and helpful.

### Be empathetic...

..by actively listening to others and not dominating discussions. We give each other the chance to improve and let each other step up into positions of responsibility. We make room for others. We are aware of each other's feelings, provide support where necessary, and know when to step back. One's idea of caring may differ from how others want to be cared for. We ask to make sure that our actions are wanted.

### Foster an inclusive environment...

...by trying to create opportunities for others to express views, share skills and make other contributions. Being together is something we actively work on and requires negotiation. We recognize that not everyone has the same opportunities, therefore we must be sensitive to the context we operate in. There are implicit hierarchies that we can challenge, and we should strive to do so. When we organize something (projects, events, etc.), we think about how we can consider degrees of privilege, account for the needs of others, promote an activist stance and support other voices.

## Unacceptable behaviour

### No structural or personal discrimination

Attitudes or comments promoting or reinforcing the oppression of any groups or people based on gender, gender identity and expression, race, ethnicity, nationality, sexuality, sexual orientation, religion, disability, mental illness, neurodiversity, personal appearance, physical appearance, body size, age, or class. Do not claim “reverse-isms”, for example “reverse racism”.

### No harrassment

Neither public nor private. Also no deliberate intimidation, stalking, following, harassing photography or recording, disruption of events, aggressive, slanderous, derogatory, or threatening comments online or in person and unwanted physical or electronic contact or sexual attention. No posting or disseminating libel, slander, or other disinformation.

### No violation of privacy

Namely publishing others’ private information, such as a physical or electronic address, without explicit permission. Do not take or publish photos or recordings of others after their request to not do so. Delete recordings if asked.

### No unwelcome sexual conduct

Including unwanted sexual language, imagery, actions, attention or advances.

### No destructive behaviour

Or any other conduct which could reasonably be considered inappropriate. This includes (but is not exclusive to) depictions of violence without content warnings, consistently and purposely derailing or disrupting conversations, or other behaviour that persistently disrupts the ability of others to engage in the group or space.

## Intervention procedure

**Immediate intervention (help is needed now!)**

If you are feeling unsafe, you can immediately contact the Co-op Cloud members who are tasked with making sure the code of co-operation is respected.

These contact people are members of Co-op Cloud who will do their best to help, or to find the correct assistance if relevant/necessary. Here is the list so far. If you would like to help in this task, please also feel free to volunteer to be a support member.

> handle: `decentral1se`
> contact: [helo@coopcloud.tech](mailto:helo@coopcloud.tech)
> handle: `3wc`
> contact: [helo@coopcloud.tech](mailto:helo@coopcloud.tech)

For example, something happened during a still-ongoing online event and needs to be acted upon right away. Action is taken immediately when this violation of the code of co-operation is reported. This could involve removing an attendee from said event.

## Non-immediate intervention (a situation that requires more time)

Other violations need to be considered and consulted upon with more people or in a more measured way. For example: If you experience an ongoing pattern of harrassment; if you witness structurally unacceptable behaviour; if somebody keeps "accidentally" using discriminatory language, after being asked to stop.

If you feel comfortable or able, discuss the issues with the involved parties before consulting a mediator. We prefer to constructively resolve disagreements together and work to right the wrong, when it is possible and safe to do so. However, if the problems still persist, those who are responsible for enforcing the code of co-operation can help you deal with these kinds of problems. Contact the members listed above. Information will be handled with sensitivity.
